org.eclipse.wst.jsdt.chromium.util

## Class AsyncFutureRef<T>

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.util.AsyncFutureRef<T>

    public class AsyncFutureRef<T>
    extends java.lang.Object

A wrapper around `AtomicReference` and `AsyncFuture` that makes the source code cleaner and shorter.

### Constructor Summary

Constructors
Constructor and Description
`AsyncFutureRef()`

### Method Summary

All Methods Instance Methods Concrete Methods
`RelayOk` `getAsync(AsyncFuture.Callback<T> callback, SyncCallback syncCallback)`
`T` `getSync()`
`void` `initializeRunning(AsyncFuture.Operation<T> requester)`
`void` `initializeTrivial(T value)`
`boolean` `isDone()`
`boolean` `isInitialized()`
`void` `reinitializeRunning(AsyncFuture.Operation<T> requester)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AsyncFutureRef

    public AsyncFutureRef()

### Method Detail

#### initializeRunning

    public void initializeRunning(AsyncFuture.Operation<T> requester)

#### reinitializeRunning

    public void reinitializeRunning(AsyncFuture.Operation<T> requester)

#### initializeTrivial

    public void initializeTrivial(T value)

#### isInitialized

    public boolean isInitialized()

#### getSync

    public T getSync()
              throws MethodIsBlockingException

Throws:
  `MethodIsBlockingException`

#### getAsync

    public RelayOk getAsync(AsyncFuture.Callback<T> callback,
                            SyncCallback syncCallback)

#### isDone

    public boolean isDone()